---------------------------------------------------------------
--                                                           
--  ROBOT INTERPRETER
--  By: Martin Carlisle and Keith Shomper     
--                                                           
--  Room_Dialog
--  Description : variables and routines for modifying the
--                room size
--                       
--  By: Martin Carlisle
--                                         
-- ROBOT INTERPRETER is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- ROBOT INTERPRETER is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Container.Window;
with Room_Size_Window;
with Simulation_Gui;
with Mcc.Gui.Keys;
package body Room_Dialog is

   --------
   -- Ok --
   --------
   procedure Ok is
      Good_String : Boolean;
   begin
      Room_Size_Window.Read_Window(Good_String);
      if Good_String then
         Mcc.Gui.Container.Window.Destroy(
            Room_Size_Window.Room_Size_Window);
         Simulation_Gui.Set_Room_Size(Room_Size,Number_Doors);
      end if;
   end Ok;

   procedure Ok (Obj : in out Mcc.Gui.Widget.Button.Button'Class) is
   begin
      Ok;
   end Ok;

   procedure Key_Callback (
      Obj   : in out Mcc.Gui.Sized_Object'Class;
      Event : in     Mcc.Gui.Key_Event) is
      use Mcc.Gui;
   begin
      if Event.Action=Release and Event.Key=Mcc.Gui.Keys.Enter then
         Ok;
      end if;
   end Key_Callback;


end Room_Dialog;

