-- Auto generated by RAPID
-- By: Martin C. Carlisle and W. Blair Watkinson II

with Room_Dialog;
with Simulation_Gui;
with Room_Dialog;
with Room_Dialog;


with Mcc.Gui.Fonts;

package body room_size_window is

   procedure Generate_Window is
   begin

      if Mcc.Gui.Container.Window.Is_Open(Mcc.Gui.Container.Window.Window(room_size_window)) then
         raise Already_Open;
      end if;

      Mcc.Gui.Container.Window.Create(
         Obj    => room_size_window,
         X      => 0,
         Y      => 0,
         Width  => 233,
         Height => 170);

      Mcc.Gui.Container.Window.Set_Title(
         Obj   => room_size_window,
         Title => "Change Room Size");


      Mcc.Gui.Widget.Label.Create(
         Obj     => label1,
         Parent  => room_size_window,
         X       => 8,
         Y       => 9,
         Width   => 213,
         Height  => 15,
         Justify => Mcc.Gui.Widget.Label.left,
         Text    => "Enter room size (1-11)");
      Mcc.Gui.Widget.Label.Set_Foreground_Color(
         Obj       => label1,
         New_Color => Mcc.Gui.Colors.Named_Color(
            Mcc.Gui.Colors.black));
      Mcc.Gui.Widget.Text_Entry.Create(
         Obj    => Room_Size_Text,
         Parent => room_size_window,
         X      => 16,
         Y      => 29,
         Width  => 202,
         Height => 25);
      Mcc.Gui.Widget.Label.Create(
         Obj     => door_label,
         Parent  => room_size_window,
         X       => 8,
         Y       => 63,
         Width   => 213,
         Height  => 15,
         Justify => Mcc.Gui.Widget.Label.left,
         Text    => "Enter number of randomly placed doors");
      Mcc.Gui.Widget.Label.Set_Foreground_Color(
         Obj       => door_label,
         New_Color => Mcc.Gui.Colors.Named_Color(
            Mcc.Gui.Colors.black));
      Mcc.Gui.Widget.Text_Entry.Create(
         Obj    => number_doors,
         Parent => room_size_window,
         X      => 16,
         Y      => 88,
         Width  => 202,
         Height => 25);
      Mcc.Gui.Widget.Button.Text.Create(
         Obj    => ok_button,
         Parent => room_size_window,
         X      => 81,
         Y      => 132,
         Width  => 52,
         Height => 24,
         Text   => "OK");
      Mcc.Gui.Widget.Button.Set_Push_Callback(
         Obj      => ok_button'access,
         Callback => Room_Dialog.Ok'access);

   end Generate_Window;


   procedure Fill_Window is
   begin
      null; -- in case there aren't any widgets to fill
      Mcc.Gui.Widget.Text_Entry.Set_Text(
         Obj      => Room_Size_Text,
         Text   => Integer(Room_Dialog.Room_Size));
      Mcc.Gui.Widget.Text_Entry.Set_Text(
         Obj      => number_doors,
         Text   => Integer(Room_Dialog.Number_Doors));

   end Fill_Window;

   procedure Generate_and_Fill_Window is
   begin
       Generate_Window;
       Fill_Window;
   end Generate_and_Fill_Window;

   procedure Read_Window(
         Success         :    out Boolean;
         Highlight_Error : in     Boolean := True;
         Beep_On_Error   : in     Boolean := True) is
   begin
      Success := True;
      declare
         X : Integer := Mcc.Gui.Widget.Text_Entry.Get_Text(
            Obj => Room_Size_Text);
      begin
         Room_Dialog.Room_Size := Simulation_Gui.Room_Size_Type(X);
      exception when Constraint_Error =>
         if Highlight_Error then
            Mcc.Gui.Widget.Text_Entry.Highlight(Room_Size_Text);
         end if;
         raise;
      end;
      declare
         X : Integer := Mcc.Gui.Widget.Text_Entry.Get_Text(
            Obj => number_doors);
      begin
         Room_Dialog.Number_Doors := Natural(X);
      exception when Constraint_Error =>
         if Highlight_Error then
            Mcc.Gui.Widget.Text_Entry.Highlight(number_doors);
         end if;
         raise;
      end;
   exception when others =>
      Success := False;
      if Beep_On_Error then
         Mcc.Gui.Bell;
      end if;
   end Read_Window;

   procedure Close_Window is
   begin
      Mcc.Gui.Destroy(Mcc.Gui.Object(room_size_window));
   end Close_Window;


end room_size_window;
